function tS = mtrim(tS, tstat)
% tS = mtrim(tS, tstat)
% Trim the model using tstat
%
% INPUTS
% tS:       2-D slip distribution
% tstat:    An integer array [L, R, T, B], where L, R, T, B corresponds to
%           number of subfaults on left, right, top and bottom.  
%
% 2014, Thingbaijam K.K.S (thingbaijam@gmail.com)


% left
for i=1:tstat(1)
   tS(:,1) = []; 
end
% right
for i=1:tstat(2)
   dimWL = size(tS);
   k=dimWL(2);
   tS(:,k) = []; 
end

% top
for i=1:tstat(3)
    tS(1,:) = []; 
end

% bottom
for i=1:tstat(4)
    dimWL = size(tS);
    k=dimWL(1); 
    tS(k,:) = []; 
end